function [u, iter] = gpad_f(invH,b,R,r,jmax)
%#codegen
    tol = norm(0.001*ones(size(b,1),1));
    iter = 0;
    y = zeros(size(r,1),1);
    y_ant = zeros(size(r,1),1);
    L = norm(R*invH*R');
    u = zeros(size(b,1),1);
    while (iter <jmax)
        beta = ((iter-1)/(iter+2)).*(iter>0);
        w = y + beta*(y-y_ant);
        u = -invH*(R'*w + b);
        s = (1/L)*(R*u-r);
        y_ant = y;
        iter = iter+1;
        if all(s<=tol/L)
            gap = -w'*s;
            if (gap <= tol/L)
                break
            end
        end
        y = max(w+s,0);
    end
end

