% para resposta ao degrau 
clear all
clc
close all

run('../../Bibliotecas/parametrosFiguras.m')

G=tf(2,[50 15 1]);

[g,Tg]=step(G);


Gd=c2d(G,2)

[gd,Tgd]=step(Gd);

% parameters
% tamletra=12;
% tamnum=12;
% tamlinha = 2;

cores = gray(3);
cores = cores(1:end-1,:);



hf = figure
h=subplot(1,1,1);
plot(Tg',g','Color',cores(1,:))
hold on
plot(Tgd',gd','*','Color',cores(2,:))
grid on
legend('resposta','coeficientes g_i','Location','SouthEast')
axis([0 60 0 2]);
ylabel('Sada do processo', 'FontSize', tamletra);
xlabel('Tempo (minutos)', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);


hf.Position = tamfigura;
print('resposta_degrau_generica','-depsc')
print('resposta_degrau_generica_pb','-deps')