% para resposta ao degrau trocador de calor
close all
clear all

run('../../Bibliotecas/parametrosFiguras.m')

G=tf(2,[2 3 1]);

[g,Tg]=step(G);

y=10*g+70;


% parameters
% tamletra=12;
% tamnum=12;

hf = figure
h=subplot(1,1,1);
plot(Tg',y','LineWidth',tamlinha)
%legend('y caso 1','y caso 2','referencia','Location','SouthEast')
%axis([0 tsim -0.1 1.2]);
grid on
ylabel('Temperatura (^oC)', 'FontSize', tamletra);
xlabel('Tempo (minutos)', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);

hf.Position = tamfigura;

print('resposta_degrau_trocador','-depsc')
print('resposta_degrau_trocador_pb','-deps')

% com atraso

G=tf(2,[2 3 1]);

set(G,'InputDelay',1)

[g,Tg]=step(G);

y=10*g+70;

hf2 = figure

h=subplot(1,1,1);
plot(Tg',y','LineWidth',tamlinha)
%legend('y caso 1','y caso 2','referencia','Location','SouthEast')
%axis([0 tsim -0.1 1.2]);
grid on
ylabel('Temperatura (^oC)', 'FontSize', tamletra);
xlabel('Tempo (minutos)', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);

hf2.Position = tamfigura;

print('resposta_degrau_trocador_atraso','-depsc')
print('resposta_degrau_trocador_atraso_pb','-deps')