% para resposta ao degrau varios tipos
% set(0,'DefaultFigureWindowStyle','normal')
clc
clear all
close all

run('../../Bibliotecas/parametrosFiguras.m')

a=0.8;
Ga=tf(1-a,[1 -a],1);

b=0.9;
Gb=tf(1-b,[1 -b],1);


[y1,T1]=step(Ga*Gb);


h=subplot(4,1,1);
plot(T1',y1','k*','LineWidth',tamlinha)
legend('g_i','Location','SouthEast')
axis([0 80 -0.5 1.5]);
grid on
ylabel('Sada', 'FontSize', tamletra);
%xlabel('tempo', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);



Gc=Ga*Gb;
Gd=tf(1,[1 zeros(1,20)],1);
G2=Gd*Gc;
[y2,T2]=step(G2);


h=subplot(4,1,2);
plot(T2',y2','k*','LineWidth',tamlinha)
legend('g_i','Location','SouthEast')
axis([0 80 -0.5 1.5]);
grid on

ylabel('Sada', 'FontSize', tamletra);
%xlabel('tempo', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);

d=1.2;
Gd=tf((1-b)*[1 -d],(1-d)*[1 -b],1);
G3=Gd*Ga;
[y3,T3]=step(G3);


% parameters
%tamletra=12;
%tamnum=12;

h=subplot(4,1,3);
plot(T3',y3','k*','LineWidth',tamlinha)
legend('g_i','Location','SouthEast')
axis([0 80 -0.5 1.5]);
grid on

ylabel('Sada', 'FontSize', tamletra);
%xlabel('tempo', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);



G4=tf(0.1,[1 -1.8 0.9],1);

[y4,T4]=step(G4);



h=subplot(4,1,4);
plot(T4',y4','k*','LineWidth',tamlinha)
legend('g_i','Location','SouthEast')
axis([0 80 -0.5 2]);
grid on

ylabel('Sada', 'FontSize', tamletra);
xlabel('Tempo (segundos)', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);

print('resposta_degrau_varias','-depsc')
print('resposta_degrau_varias_pb','-deps')

