% caso 4
% sistema integrador com tau1=10 e Kv=1
% sistema estavel com mesmo tau1=10 e tau2=1000, com Ke=1000
clear all,
close all,
clc


run('../../Bibliotecas/parametrosFiguras.m')

G4=tf(0.7,[1 0]);
G4d=c2d(G4,1);
G5=tf(1,[10 1]);
G5d=c2d(G5,1);
tau=1800;
G6=tf(0.7*tau,[tau 1]);
G6d=c2d(G6,1);


[y1,T1]=step(G4d*G5d);

[y2,T2]=step(G5d*G6d);

y1=50+y1;
y2=50+y2;

fim=size(y1,1);
for ii=1:fim
if y1(ii) > 100
    y1(ii)=100;
end
end

fim=size(y2,1);
for ii=1:fim
if y2(ii) > 100
    y2(ii)=100;
end
end


cores = gray(4);
cores = cores(1:end-1,:);


hf = figure
h=subplot(2,1,1);
plot(T1',y1','-','LineWidth',tamlinha,'Color',cores(1,:))
hold on
plot(T2',y2','--','LineWidth',tamlinha,'Color',cores(2,:))
legend('Integradora','Estvel lenta','Location','SouthEast')
axis([0 100 40 110]);
grid on
ylabel('Sada (%)', 'FontSize', tamletra);
%xlabel('tempo', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);

fim=size(y1,1);
for ii=1:fim
y1(ii)=y1(ii)+1*randn;
end

fim=size(y2,1);
for ii=1:fim
y2(ii)=y2(ii)+1*randn;

end


h=subplot(2,1,2);
plot(T1',y1','-','LineWidth',tamlinha,'Color',cores(1,:))
hold on
plot(T2',y2','--','LineWidth',tamlinha,'Color',cores(2,:))
legend('Integradora','Estvel lenta','Location','SouthEast')
axis([0 100 40 110]);
grid on
ylabel('Sada (%)', 'FontSize', tamletra);
xlabel('Tempo (minutos)', 'FontSize', tamletra);
set(h, 'FontSize', tamletra);
% 
% figure
% h=subplot(1,1,1);
% plot(T1',y1','LineWidth',tamlinha)
% %legend('integradora','estvel lenta','Location','SouthEast')
% axis([0 200 40 100]);
% ylabel('sada', 'FontSize', tamletra);
% xlabel('tempo', 'FontSize', tamletra);
% set(h, 'FontSize', tamletra);

hf.Position = tamfigura;
print('compara_resposta_degrau_int_estavel_ruido','-depsc')
% print('compara_resposta_degrau_int_estavel_ruido_pb','-deps')