clear all, close all, clc

G = [0.3 0 0.14;0.45 0.3 0.41; 0.78 0.45 0.76; 0.2 0 -.1;0.6 0.2 -0.3]

Qy = diag([1/3,1/3,1/3,2/2,2/2])
Qu = diag([1/2,1/2,3])

K = (G'*Qy*G+Qu)\G'*Qy

txt = [];
for i =1:3
    for j=1:5
        txt = [txt, num2str(K(i,j))];
        if(j==5)
            txt = [txt,'    \\'];
        else
            txt = [txt,'&    '];
        end
    end
end

%%
g1 = [0;0.2;0.4;0.8;1.1;1.1;1.1;1.1];

Gq1 = [];
H1t1 = [];
H1t2 = g1(1)*ones(3,1);

for i=1:3
    H1t1 = [H1t1;g1(i+1:3+1+i)'];
    H1t2 = [H1t2,g1(i+1)*ones(3,1)];

end

H1t1
H1t2

H1 = [H1t1-H1t2]

txt2 = [];
for i =1:3
    for j=1:4
        txt2 = [txt2, num2str(H1(i,j))];
        if(j==4)
            txt2 = [txt2,'    \\',newline];
        else
            txt2 = [txt2,'&    '];
        end
    end
end
txt2 = strrep(txt2,'.',',')
%%
g2 = [0;0.1;0.3;0.7;1;1;1;1];

Gq1 = [];
H1t1 = [];
H1t2 = g1(1)*ones(3,1);

for i=1:3
    H1t1 = [H1t1;g2(i+1:3+1+i)'];
    H1t2 = [H1t2,g2(i+1)*ones(3,1)];

end

H1t1
H1t2

H1 = [H1t1-H1t2]

txt2 = [];
for i =1:3
    for j=1:4
        txt2 = [txt2, num2str(H1(i,j))];
        if(j==4)
            txt2 = [txt2,'    \\',newline];
        else
            txt2 = [txt2,'&    '];
        end
    end
end
txt2 = strrep(txt2,'.',',')


