clear all,
close all,
clc

%% obteno da lei de controle do dmc

g = [0.2 0.6 1.4 1.8 2 2 2 2 2 2 2 2 2 2 2 2 2]';


Nss = 5;
Nu = 2;
N = 3;
lambda = 0.5;


G = [];

for i=1:Nu
    G(i:N,i) = g(1:N-i+1);
end
x = (G'*G+eye(Nu)*lambda)
xi = inv(G'*G+eye(Nu)*lambda)
Kdmc = xi*G'





H1 = [];
H2 = [];
for i=1:Nss
    H1(1:N,i) = -g(i);
    H2(1:N,i) = g(i+1:i+N);
end

H = H2+H1

Hq1(1:N,1) = 0;
Hq2(1:N,1) = g(1:N);
for i=1:Nss
    Hq1(1:N,i+1) = -g(i);
    Hq2(1:N,i+1) = g(i+1:i+N);
end

Hq = Hq2+Hq1

KH = Kdmc(1,:)*H
KHq = Kdmc(1,:)*Hq

f0 = sum(Kdmc(1,:))




