%%% casadi exemplos
clear all
close all
clc
%
import casadi.*


%%
opti = casadi.Opti()

N = 5;
M = 10;

% Escalar
X = opti.variable()
% Vetor Coluna de tamanho N
X = opti.variable(N)
% Matriz de tamanho N por M
X = opti.variable(N,M)

%%
X = opti.variable(N)
opti.set_initial(X(1), 2)


%% exemplo 1
opti = casadi.Opti()

X = opti.variable()

opti.set_initial(X, 2)


opti.subject_to(X>=2)
opti.subject_to(X==2)
opti.subject_to( -2<=X<=2)

%%
function dhdt = modelo(h, u, q)
    dhdt = K1*q-K2*u*casadi.sqrt(2*g*h)
end